package com.redstrate.watersymbol;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

public class ArrowSpritesheet {
    private static final int ATLAS_COLUMNS = 3, ATLAS_ROWS = 9;

    TextureRegion[][] regions;

    Texture texture;

    public ArrowSpritesheet() {
        texture = new Texture("arrow.png");

        regions = TextureRegion.split(texture,
                texture.getWidth() / ATLAS_COLUMNS,
                texture.getHeight() / ATLAS_ROWS);
    }

    // straights
    public TextureRegion getUpDown() {
        return regions[0][1];
    }

    public TextureRegion getLeftRight() {
        return regions[0][2];
    }

    // diagonals
    public TextureRegion getDiagUp() {
        return regions[1][0];
    }

    public TextureRegion getDiagDown() {
        return regions[1][1];
    }

    // corners
    public TextureRegion getCornerTopRight() {
        return regions[1][2];
    }

    public TextureRegion getCornerBottomRight() {
        return regions[3][1];
    }

    public TextureRegion getCornerTopLeft() {
        return regions[3][2];
    }

    public TextureRegion getCornerBottomLeft() {
        return regions[2][0];
    }

    // bends
    public TextureRegion getBendTopLeftToBottom() {
        return regions[2][2];
    }

    public TextureRegion getBendBottomLeftToTop() {
        return regions[4][0];
    }

    public TextureRegion getBendBottomRightToTop() {
        return regions[5][0];
    }

    public TextureRegion getBendBottomLeftToRight() {
        return regions[3][0];
    }

    public TextureRegion getBendTopLeftToRight() {
        return regions[4][2];
    }

    public TextureRegion getBendTopRightToBottom() {
        return regions[5][1];
    }

    // arrows
    public TextureRegion getArrowFromLeft() {
        return regions[5][2];
    }

    public TextureRegion getArrowFromTop() {
        return regions[6][0];
    }

    public TextureRegion getArrowFromRight() {
        return regions[6][1];
    }

    public TextureRegion getArrowFromBottom() {
        return regions[6][2];
    }

    public TextureRegion getArrowFromTopLeft() {
        return regions[7][0];
    }

    public TextureRegion getArrowFromBottomLeft() {
        return regions[7][1];
    }

    public TextureRegion getArrowFromTopRight() {
        return regions[7][2];
    }

    public TextureRegion getArrowFromBottomRight() {
        return regions[8][0];
    }
}
