package com.redstrate.watersymbol.screens;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input;
import com.badlogic.gdx.Screen;
import com.badlogic.gdx.graphics.OrthographicCamera;
import com.badlogic.gdx.graphics.g2d.GlyphLayout;
import com.badlogic.gdx.utils.ScreenUtils;
import com.redstrate.watersymbol.WaterSymbol;

public class GameOverMenuScreen implements Screen {
    OrthographicCamera camera;

    GlyphLayout titleLayout;

    public GameOverMenuScreen(WaterSymbol game) {
        this.game = game;

        camera = new OrthographicCamera();
        camera.setToOrtho(false, 800, 480);

        titleLayout = new GlyphLayout(game.font, "GAME OVER");
    }

    @Override
    public void show() {

    }

    @Override
    public void render(float delta) {
        ScreenUtils.clear(0, 0, 0.2f, 1);

        camera.update();
        game.batch.setProjectionMatrix(camera.combined);

        game.batch.begin();
        game.font.draw(game.batch, titleLayout,
                (camera.viewportWidth / 2) - (titleLayout.width / 2),
                camera.viewportHeight / 2);
        game.batch.end();

        if(Gdx.input.isButtonJustPressed(Input.Buttons.LEFT)) {
            game.setScreen(new MainMenuScreen(game));
            dispose();
        }
    }

    @Override
    public void resize(int width, int height) {
        camera.setToOrtho(false, width, height);
    }

    @Override
    public void pause() {

    }

    @Override
    public void resume() {

    }

    @Override
    public void hide() {

    }

    @Override
    public void dispose() {

    }

    private final WaterSymbol game;
}
